<?php
// Telegram Bot Token and Chat ID
define('TELEGRAM_BOT_TOKEN', '7674650866:AAFy7_yKLBXYEztKw2GozqBRNPXPBogND3w'); // Replace with your bot token
define('TELEGRAM_CHAT_ID', '7755784717'); // Replace with your chat ID

// Database configuration
$host = 'localhost';
$dbname = 'ispinfot_demo';
$username = 'ispinfot_demo';
$password = 'ispinfot_demo';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Database connection failed: " . $e->getMessage());
}

function sendToTelegram($message) {
    $url = "https://api.telegram.org/bot" . TELEGRAM_BOT_TOKEN . "/sendMessage";
    $data = ['chat_id' => TELEGRAM_CHAT_ID, 'text' => $message];
    file_get_contents($url . "?" . http_build_query($data));
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $transaction_no = htmlspecialchars($_POST['transaction_no']);
    $upi_id = htmlspecialchars($_POST['upi_id']);
    $name = htmlspecialchars($_POST['name']);
    $mobile = htmlspecialchars($_POST['mobile']);
    $amount = htmlspecialchars($_POST['amount']);
    $agree = isset($_POST['agree']);

    if (!$agree) {
        echo "<script>alert('You must agree to the terms and conditions.');</script>";
    } else {
        // Check for duplicate transaction number
        $stmt = $pdo->prepare("SELECT COUNT(*) FROM transactions WHERE transaction_no = :transaction_no");
        $stmt->execute(['transaction_no' => $transaction_no]);
        if ($stmt->fetchColumn() > 0) {
            echo "<script>alert('Duplicate transaction detected. Please use a unique transaction number.');</script>";
        } else {
            // Insert data into the database
            $stmt = $pdo->prepare("INSERT INTO transactions (transaction_no, upi_id, name, mobile, amount) 
                                    VALUES (:transaction_no, :upi_id, :name, :mobile, :amount)");
            $stmt->execute([
                'transaction_no' => $transaction_no,
                'upi_id' => $upi_id,
                'name' => $name,
                'mobile' => $mobile,
                'amount' => $amount
            ]);

            // Send notification to Telegram
            $message = "New UPI Transaction:\n\n" .
                       "Transaction No: $transaction_no\n" .
                       "UPI ID: $upi_id\n" .
                       "Name: $name\n" .
                       "Mobile: $mobile\n" .
                       "Amount: ₹$amount";
            sendToTelegram($message);

            echo "<script>alert('Transaction submitted successfully!');</script>";
        }
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>MP QR Gateway</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background: linear-gradient(45deg, #80d0c7, #ffddca);
            background-size: 400% 400%;
            animation: gradientAnimation 6s ease infinite;
            overflow: hidden;
        }

        @keyframes gradientAnimation {
            0% {
                background-position: 0% 50%;
            }
            50% {
                background-position: 100% 50%;
            }
            100% {
                background-position: 0% 50%;
            }
        }

        .container {
            width: 100%;
            max-width: 450px;
            background: rgba(255, 255, 255, 0.7);
            padding: 30px;
            border-radius: 15px;
            box-shadow: 0 15px 30px rgba(0, 0, 0, 0.1);
            text-align: center;
            position: relative;
            backdrop-filter: blur(10px);
        }

        h1 {
            font-size: 24px;
            color: #333;
            margin-bottom: 20px;
            font-weight: bold;
            letter-spacing: 2px;
            text-transform: uppercase;
        }

        form label {
            font-size: 14px;
            font-weight: bold;
            display: block;
            margin-bottom: 5px;
        }

        form input {
            width: 100%;
            padding: 12px;
            margin-bottom: 15px;
            border: 2px solid #ddd;
            border-radius: 10px;
            font-size: 16px;
            box-sizing: border-box;
            transition: 0.4s;
            background: #ffffff;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }

        form input:focus {
            border-color: #ff72b5;
            box-shadow: 0 0 8px rgba(255, 114, 181, 0.6);
            outline: none;
        }

        button {
            padding: 12px;
            width: 100%;
            background-color: #ff72b5;
            border: none;
            color: white;
            border-radius: 10px;
            font-size: 16px;
            cursor: pointer;
            transition: 0.3s;
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
        }

        button:hover {
            background-color: #ff5281;
        }

        .footer {
            font-size: 12px;
            color: #888;
            margin-top: 15px;
            text-align: center;
        }

        .whatsapp-bubble {
            position: fixed;
            bottom: 20px;
            right: 20px;
            background-color: #25D366;
            width: 55px;
            height: 55px;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            cursor: pointer;
            animation: bounce 0.6s ease infinite alternate;
        }

        .whatsapp-bubble img {
            width: 28px;
            height: 28px;
        }

        @keyframes bounce {
            0% {
                transform: translateY(0);
            }
            100% {
                transform: translateY(-10px);
            }
        }

        .qr-code {
            margin-bottom: 25px;
        }

        .qr-code img {
            width: 150px;
            height: 150px;
            border-radius: 10px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
        }

        /* Single Line Checkbox - Adjusted */
        form label.checkbox {
            display: inline-flex;
            align-items: center;
            font-size: 14px;
            font-weight: normal;
            margin: 10px 0;
            max-width: 100%;
            white-space: nowrap; /* Ensures label doesn't break into new line */
            overflow: hidden;
            text-overflow: ellipsis;
        }

        form label.checkbox input {
            margin-right: 8px;
        }

        /* Adjusting input size */
        form input {
            width: calc(100% - 24px); /* Reduce width slightly to fit with checkbox */
        }

    </style>
</head>
<body>
    <div class="container">
        <!-- QR Code -->
        <div class="qr-code">
            <?php
                // QR Code dynamic generation
                $qrCodeUrl = 'https://chart.googleapis.com/chart?chs=150x150&cht=qr&chl=' . urlencode('UPI ID: ' . $upi_id . ' Amount: ₹' . $amount);
            ?>
            <img src="https://media-hosting.imagekit.io//d6cb6d25dd86425a/1000153772.png?Expires=1831909572&Key-Pair-Id=K2ZIVPTIP2VGHC&Signature=0LQNZVBKQZouCay0nvNlXLxir2QPE9py1AqzOs~7LQcf3DY2ZKyEKPb-zDoNvXdJqQjQD3Mew7NIsvqJDmn4-cPXurpSEGDGOY5NvF8S~NcC-TEd273Mc5zqVa2F5dt7ITRuQ8Q9paG5Aw45QS9Dnho0FN4CMTdR3Cb5r-BOMqWQ7lKwZxulffQlSGBf7yc-bW2TA5zI1Y-NO34THvUuxUU40v39O98utZlUethOkP0uw4oHi1MEYzsmWJLVZqGfMWRjlgScYsZraMctGb86A7A0h72WoRIgJArxjnUb6yh3xqmr7uqIp1EjbUwZYl0O9gWIz4FtMU-rOCegD2hOUA__" alt="UPI QR Code"> <!-- Replace with your QR code image -->
        </div>
Scan and Pay Any UPI Apps!
        <h1>MP QR Gateway</h1>

        <form action="" method="POST">
            <label for="transaction_no">Enter TNX & UTR No:</label>
            <input type="text" id="transaction_no" name="transaction_no" required>

            <label for="upi_id">Enter UPI ID:</label>
            <input type="text" id="upi_id" name="upi_id" required>

            <label for="name">Enter Full Name:</label>
            <input type="text" id="name" name="name" required>

            <label for="mobile">Register Mobile No:</label>
            <input type="text" id="mobile" name="mobile" required>

            <label for="amount">Enter QR Amount (₹):</label>
            <input type="number" id="amount" name="amount" step="0.01" required>

            <!-- Single Line Checkbox -->
            <label class="checkbox">
                <input type="checkbox" id="agree" name="agree"> I agree to the terms and conditions
            </label>

            <button type="submit">Submit</button>
        </form>

        <div class="footer">
            &copy; 2025 OneSource Developer. All Rights Reserved.
        </div>
    </div>

    <div class="whatsapp-bubble" onclick="openWhatsApp()">
        <img src="https://upload.wikimedia.org/wikipedia/commons/6/6b/WhatsApp.svg" alt="WhatsApp">
    </div>

    <script>
        function openWhatsApp() {
            window.open("https://wa.me/917501011438", "_blank");
        }
    </script>
</body>
</html>
